Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:       	taglib	
Version:    	1.5
Release:    	1
Summary:    	Audio Meta-Data Library
    
Group: 	    	System/Libraries
License:    	LGPLv2
URL:        	http://developer.kde.org/~wheeler/taglib.html
Source0:    	http://developer.kde.org/~wheeler/files/src/taglib-%{version}.tar.gz
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	cmake
BuildRequires: 	zlib-devel
# Require for rpm lzma compression
Requires:        rpm >= 4.4.2.3-1


%description
TagLib is a library for reading and editing the meta-data of several
popular audio formats. Currently it supports both ID3v1 and ID3v2 for
MP3 files, Ogg Vorbis comments and ID3 tags and Vorbis comments in
FLAC files.

%package devel
Summary: 	Development file for %{name} 
Group:	 	Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires: 	pkgconfig
%description devel
%{summary}.


%prep
%setup -q -n taglib-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

rm -fr examples/.deps
rm -fr examples/Makefile*

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LGPL
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc examples
%{_bindir}/*-config
%{_includedir}/*
%{_libdir}/lib*.so
#%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Jun 17 2008 Christian Metzen <metzench@ccux-linux.de> 1.5-1
- Version update
* Thu Sep 01 2005 Christian Wasem <wasem@ccux-linux.de> 1.4-2
- rebuild for amarok
* Wed Jul 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.4-1
- Version Update to 1.4, tweaked specfile
* Sun Feb 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-1
- Version Update to 1.3.1